Skip to main content
POST
/
v2.0
/
flows
/
{flowId}
/
intents
/
{intentId}
/
sentences
Create an Example Sentence
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "text": "I want to buy a pizza.",
  "slots": [
    {
      "type": "anySlot",
      "name": "<string>",
      "start": 123,
      "end": 123
    }
  ]
}
'
{
  "localeReference": "<string>",
  "feedbackReport": {
    "findings": [
      {
        "type": "poorScore"
      }
    ],
    "info": {
      "trueIntent": "<string>",
      "topIntent": "<string>",
      "runnerUp": "<string>",
      "topScore": 123,
      "runnerUpScore": 123,
      "difference": 123,
      "trueIntentName": "<string>",
      "topIntentName": "<string>",
      "runnerUpIntentName": "<string>"
    }
  },
  "text": "I want to buy a pizza.",
  "slots": [
    {
      "type": "anySlot",
      "name": "<string>",
      "start": 123,
      "end": 123
    }
  ],
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

flowId
string
required

The unique identifier for the Flow.

Required string length: 24
Pattern: ^[a-z0-9]{24}$
intentId
string
required

The unique identifier for the Intent.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json

The payload for creating or updating an Example Sentence.

text
string

The text in the Example Sentence.

Example:

"I want to buy a pizza."

slots
object[]

The Slot segments in the Example Sentence. Each item defines a start and end indexes, and the Slot type: system-defined or user-defined Slot.

A Slot defined by the start and end indexes in the Example Sentence. The value is the text that appears in the range between the start and end indexes.

Response

Returns Sentence metadata object.

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

localeReference
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
feedbackReport
object
text
string

The text in the Example Sentence.

Example:

"I want to buy a pizza."

slots
object[]

The Slot segments in the Example Sentence. Each item defines a start and end indexes, and the Slot type: system-defined or user-defined Slot.

A Slot defined by the start and end indexes in the Example Sentence. The value is the text that appears in the range between the start and end indexes.

_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$